package com.jeethink.receive.service;

import com.jeethink.bean.domain.ArchivesMaster;
import com.jeethink.bean.vo.Approval;
import com.jeethink.receive.vo.ArchivesVO;

import java.util.List;

/**
 * 人事档案接收Service接口
 * 
 * @author sh
 * @date 2022-11-08
 */
public interface IArchivesApprovalService
{

    /**
     * 查询人事档案接收列表
     * 
     * @param rsArchive 人事档案接收
     * @return 人事档案接收集合
     */
    public List<ArchivesMaster> selectApprovalList(ArchivesMaster rsArchive);

    /**
     * 档案审核
     * @param approval
     * @return
     */
    void approvalArchive(Approval approval);

    /**
     * 获取详情
     * @param archivesId
     * @return
     */
    ArchivesVO getArchives(String archivesId);
}
