package com.jeethink.flow.controller;

import com.jeethink.common.core.domain.AjaxResult;
import com.jeethink.flow.service.IFlowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/flow")
public class FlowController {

    @Autowired
    private IFlowService flowService;

    @RequestMapping("/step/{flowType}")
    public AjaxResult getFlowStep(@PathVariable("flowType") String flowType) {

        return AjaxResult.success(flowService.selectStepsByFlowType(flowType));
    }
}
